<?php
/**********************************************************************************
* AnnouncementView.php                                                            *
***********************************************************************************
*                                                                                 *
* YAGAM - Yet Another Global Announcements Mod v2.7.3                             *
* Copyright (c) 2008-2010 by SMFPacks.com. All rights reserved.                   *
* Powered by www.smfpacks.com                                                     *
* Created by NIBOGO for SMFPacks.com & SimpleMachines.org                         *
*                                                                                 *
**********************************************************************************/

function announcements_view()
{
     global $context, $txt, $smcFunc, $user_info, $memberContext, $user_profile, $sourcedir, $modSettings, $scripturl, $color_profile, $options;
		
    // Load the announcements language
	if (loadlanguage('Announcements') == false)
		loadLanguage('Announcements','english');
		
	// Load the Announcements Template
	loadtemplate('AnnouncementView');
	
	// Get the id
	$announcement_id = (int) $_REQUEST['aid'];

	// We need an ID!!
	if (empty($announcement_id))
		fatal_lang_error('announcement_no_selected', false);	

    // Load the Announcement info from the DB
	$dbresult = $smcFunc['db_query']('', '
	SELECT
		a.id_announcement, a.date, a.author, a.title, a.views, m.real_name, a.content, a.permissions, a.can_comment, a.comment_total
	FROM {db_prefix}announcements AS a
	LEFT JOIN {db_prefix}members AS m  ON (a.author = m.id_member)
	WHERE id_announcement = {int:announcement_id}        
        LIMIT 1',
        array(
          'announcement_id' => $announcement_id,
        )
    );	
	
	if ($smcFunc['db_num_rows']($dbresult) == 0)
		fatal_lang_error('yagam_not_exist', false);
	
	// Load all the info
	$announcement = array();

	while ($row = $smcFunc['db_fetch_assoc']($dbresult)){
		$announcement = array(
			'title' => $row['title'],
			'id_announcement' => $row['id_announcement'],
			'time' => timeformat($row['date']),
		    'author' => $row['author'],
            'views' => $row['views'],
			'real_name' => $row['real_name'],
            'content' => $row['content'],
			'can_comment' => $row['can_comment'],
			'comment_total' => $row['comment_total'],
            'permissions' => $row['permissions']     			
		);
	}
	$smcFunc['db_free_result']($dbresult);	

	// Permission!
	$permissions = explode(',',$announcement['permissions']);		
	$context['announcement'] = $announcement;
	
	// You can't see this you need the permission and the admin always can
	if (!array_intersect($user_info['groups'], $permissions) && !$user_info['is_admin'])
		fatal_lang_error('yagam_no_permission', false);	
	
	// Load all the author info including the Color Link
	loadMemberData($announcement['author']);
	loadMemberContext($announcement['author']);
	$context['announcement']['author'] = $memberContext[$announcement['author']];
	$context['poster'] = (!empty($color_profile[$context['announcement']['author']]['link'])) ? $color_profile[$row['author']]['link'] : $context['announcement']['author']['link'];
	
	// Select the subtemplate and title
	$context['sub_template']  = 'announcement_view';
	$context['page_title'] = $context['announcement']['title'];
	
	// +1 view to the announcement
	$smcFunc['db_query']('', '
	UPDATE {db_prefix}announcements 
	SET views = views + 1
	WHERE id_announcement = {int:announcement_id}        
    LIMIT 1',
        array(
          'announcement_id' => $announcement_id,
        )
    );
	
	//  Now the Log
	$smcFunc['db_insert']('replace',
			'{db_prefix}announcements_log',
			array(
				'id_member' => 'int', 'id_announcement' => 'int',
			),
			array(
				$user_info['id'], $announcement_id,
			),
			array('id_member', 'id_topic')
	);
	
    // Load the comments only if we can	
	if ($context['announcement']['can_comment'] == '1'){
	
	$context['start'] = $_REQUEST['start'];
	$context['page_index'] = constructPageIndex($scripturl . '?action=announcement;aid='.$announcement_id, $context['start'], $context['announcement']['comment_total'], 10);
	
	$dbresult2 = $smcFunc['db_query']('', '
	SELECT
		ac.id_comment, ac.date, ac.comment_body, ac.author,	ac.last_modified, ac.modified_name, m.real_name
		FROM {db_prefix}announcements_comments as ac
		    LEFT JOIN {db_prefix}members AS m ON (ac.author = m.id_member)
		WHERE ac.id_announcement = {int:announcement_id}        
        ORDER BY ac.id_comment
		LIMIT {int:start}, 10',
        array(
          'announcement_id' => $announcement_id,
		  'start' => $context['start'],
        )
    );
	
	$context['announcement_comment'] = array();
	while ($row = $smcFunc['db_fetch_assoc']($dbresult2)){
		$context['announcement_comment'][] = array(
			'id_comment' => $row['id_comment'],
			'comment_body' => $row['comment_body'],
			'date' => $row['date'],
		    'author' => $row['author'],
            'last_modified' => $row['last_modified'],
			'real_name' => $row['real_name'],
            'modified_name' => $row['modified_name'],
            'can_see_ip' => allowedTo('moderate_forum') || ($row['author'] == $user_info['id'] && !empty($user_info['id'])),
            'can_view_profile' => allowedTo('profile_view_any') || ($row['author'] == $user_info['id'] && allowedTo('profile_view_own')),	
		);
	}
	$smcFunc['db_free_result']($dbresult2);
	
	// Needed for the WYSIWYG editor.
	require_once($sourcedir . '/Subs-Editor.php');

	// Now create the editor.
	$editorOptions = array(
		'id' => 'message',
		'value' => '',
		'width' => '90%',
		'form' => 'addcomment',
		'labels' => array(
			'addcomment' => $txt['yagam_add_comment']
		),
	);
	create_control_richedit($editorOptions);
	$context['post_box_name'] = $editorOptions['id'];	
	
	// This generate the captcha  only if the option is enable and the user is guest
	if (!empty($modSettings['yagam_verification']) && $context['user']['is_guest']){
	
		require_once($sourcedir . '/Subs-Editor.php');
		$verificationOptions = array(
			'id' => 'register',
		);
		$context['visual_verification'] = create_control_verification($verificationOptions);
		$context['visual_verification_id'] = $verificationOptions['id'];
	}
	// Otherwise we have nothing to show.
	else
		$context['visual_verification'] = false;
		
	}
	
	// The Linktree
        $context['linktree'][] = array(		
		'name' => $txt['yagam_text'],
    );         
	$context['linktree'][] = array(
		'url' => $scripturl.'?action=announcements;aid=' . $announcement_id,
		'name' => $context['announcement']['title'],
	);
	
	// Some permissions
	$context['can_send_pm'] = allowedTo('pm_send');
	$context['can_moderate_forum'] = allowedTo('moderate_forum');
	$context['can_see_ip'] = allowedTo('moderate_forum') || ($context['announcement']['author'] == $user_info['id'] && !empty($user_info['id']));
	$context['can_view_profile'] = allowedTo('profile_view_any') || ($context['announcement']['author'] == $user_info['id'] && allowedTo('profile_view_own'));
	$context['signature_enabled'] = substr($modSettings['signature_settings'], 0, 1) == 1;
	$context['disabled_fields'] = isset($modSettings['disabled_profile_fields']) ? array_flip(explode(',', $modSettings['disabled_profile_fields'])) : array();
	$context['admin_yagam'] = allowedTo('yagam_manage');
	$context['comment_yagam'] = allowedTo('yagam_comment');
}
?>