<?php
/**********************************************************************************
* AnnouncementView.template.php                                                   *
***********************************************************************************
*                                                                                 *
* YAGAM - Yet Another Global Announcements Mod v2.7.3                             *
* Copyright (c) 2008-2010 by SMFPacks.com. All rights reserved.                   *
* Powered by www.smfpacks.com                                                     *
* Created by NIBOGO for SMFPacks.com & SimpleMachines.org                         *
*                                                                                 *
**********************************************************************************/

function template_announcement_view()
{
    global $context, $txt, $settings, $modSettings, $options, $scripturl, $user_info, $memberContext;

	// Show the announcement information - icon, subject, etc.
	echo '
		<h3 class="catbg">
        <span class="left"></span>
        <img align="bottom" alt="" src="', $settings['images_url'], '/topic/normal_post.gif" />
        <span id="author">'.$txt['author'].'</span>
        <span id="top_subject">- ', $context['announcement']['title'], ' &nbsp;(', $txt['read'], ' ', $context['announcement']['views'], ' ', $txt['times'], ')</span></h3>';

	echo '
		<div id="forumposts">
		<div class="windowbg">
		<span class="topslice"><span></span></span>
		<div class="poster">
							<h4>';

		// Show online and offline buttons?
		if (!empty($modSettings['onlineEnable']) && !$context['announcement']['author']['is_guest'])
			echo  $context['can_send_pm'] ? '<a href="' . $context['announcement']['author']['online']['href'] . '" title="' . $context['announcement']['author']['online']['label'] . '">' : '', '<img src="', $context['announcement']['author']['online']['image_href'], '" alt="', $context['announcement']['author']['online']['text'], '" />', $context['can_send_pm'] ? '</a>' : '', '&nbsp;';

		// Show a link to the member's profile.
		echo '
								'.$context['poster'].'
							</h4>
		<ul class="reset smalltext" id="msg_1_extra_info">';
		
		// Show the member's custom title, if they have one.
		if (!empty($context['announcement']['author']['title']))
			echo '
								<li class="title">', $context['announcement']['author']['title'], '</li>';

		// Show the member's primary group (like 'Administrator') if they have one.
		if (!empty($context['announcement']['author']['group']))
			echo '
								<li class="membergroup">', $context['announcement']['author']['group'], '</li>';

		// Don't show these things for guests.
		if (!$context['announcement']['author']['is_guest'])
		{
			// Show the post group if and only if they have no other group or the option is on, and they are in a post group.
			if ((empty($settings['hide_post_group']) || $context['announcement']['author']['group'] == '') && $context['announcement']['author']['post_group'] != '')
				echo '
								<li class="postgroup">', $context['announcement']['author']['post_group'], '</li>';
			echo '
								<li class="stars">', $context['announcement']['author']['group_stars'], '</li>';

			// Show avatars, images, etc.?
			if (!empty($settings['show_user_images']) && empty($options['show_no_avatars']) && !empty($context['announcement']['author']['avatar']['image']))
				echo '
								<li class="avatar" style="overflow: auto;">', $context['announcement']['author']['avatar']['image'], '</li>';

			// Show how many posts they have made.
			if (!isset($context['disabled_fields']['posts']))
				echo '
								<li class="postcount">', $txt['member_postcount'], ': ', $context['announcement']['author']['posts'], '</li>';

			// Is karma display enabled?  Total or +/-?
			if ($modSettings['karmaMode'] == '1')
				echo '
								<li class="karma">', $modSettings['karmaLabel'], ' ', $context['announcement']['author']['karma']['good'] - $context['announcement']['author']['karma']['bad'], '</li>';
			elseif ($modSettings['karmaMode'] == '2')
				echo '
								<li class="karma">', $modSettings['karmaLabel'], ' +', $context['announcement']['author']['karma']['good'], '/-', $context['announcement']['author']['karma']['bad'], '</li>';

			// Show the member's gender icon?
			if (!empty($settings['show_gender']) && $context['announcement']['author']['gender']['image'] != '' && !isset($context['disabled_fields']['gender']))
				echo '
								<li class="gender">', $txt['gender'], ': ', $context['announcement']['author']['gender']['image'], '</li>';

			// Show their personal text?
			if (!empty($settings['show_blurb']) && $context['announcement']['author']['blurb'] != '')
				echo '
								<li class="blurb">', $context['announcement']['author']['blurb'], '</li>';

			// Any custom fields to show as icons?
			if (!empty($context['announcement']['author']['custom_fields']))
			{
				$shown = false;
				foreach ($context['announcement']['author']['custom_fields'] as $custom)
				{
					if ($custom['placement'] != 1 || empty($custom['value']))
						continue;
					if (empty($shown))
					{
						$shown = true;
						echo '
								<li class="im_icons">
									<ul>';
					}
					echo '
										<li>', $custom['value'], '</li>';
				}
				if ($shown)
					echo '
									</ul>
								</li>';
			}

			// This shows the popular messaging icons.
			if ($context['announcement']['author']['has_messenger'] && $context['can_view_profile'])
				echo '
								<li class="im_icons">
									<ul>
										', !empty($context['announcement']['author']['icq']['link']) ? '<li>' . $context['announcement']['author']['icq']['link'] . '</li>' : '', '
										', !empty($context['announcement']['author']['msn']['link']) ? '<li>' . $context['announcement']['author']['msn']['link'] . '</li>' : '', '
										', !empty($context['announcement']['author']['aim']['link']) ? '<li>' . $context['announcement']['author']['aim']['link'] . '</li>' : '', '
										', !empty($context['announcement']['author']['yim']['link']) ? '<li>' . $context['announcement']['author']['yim']['link'] . '</li>' : '', '
									</ul>
								</li>';

			// Show the profile, website, email address, and personal message buttons.
			if ($settings['show_profile_buttons'])
			{
				echo '
								<li class="profile">
									<ul>';
				// Don't show the profile button if you're not allowed to view the profile.
				echo '<li><a href="', $context['announcement']['author']['href'], '">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/icons/profile_sm.gif" alt="' . $txt['view_profile'] . '" title="' . $txt['view_profile'] . '" border="0" />' : $txt['view_profile']), '</a></li>';

				// Don't show an icon if they haven't specified a website.
				if ($context['announcement']['author']['website']['url'] != '' && !isset($context['disabled_fields']['website']))
					echo '
										<li><a href="', $context['announcement']['author']['website']['url'], '" title="' . $context['announcement']['author']['website']['title'] . '" target="_blank" class="new_win">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/www_sm.gif" alt="' . $context['announcement']['author']['website']['title'] . '" border="0" />' : $txt['www']), '</a></li>';

				// Don't show the email address if they want it hidden.
				if (in_array($context['announcement']['author']['show_email'], array('yes', 'yes_permission_override', 'no_through_forum')))
					echo '
										<li><a href="', $scripturl, '?action=emailuser;sa=email;uid=', $context['announcement']['author']['id'], '" rel="nofollow">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/email_sm.gif" alt="' . $txt['email'] . '" title="' . $txt['email'] . '" />' : $txt['email']), '</a></li>';

				// Since we know this person isn't a guest, you *can* message them.
				if ($context['can_send_pm'])
					echo '
										<li><a href="', $scripturl, '?action=pm;sa=send;u=', $context['announcement']['author']['id'], '" title="', $context['announcement']['author']['online']['is_online'] ? $txt['pm_online'] : $txt['pm_offline'], '">', $settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/im_' . ($context['announcement']['author']['online']['is_online'] ? 'on' : 'off') . '.gif" alt="' . ($context['announcement']['author']['online']['is_online'] ? $txt['pm_online'] : $txt['pm_offline']) . '" border="0" />' : ($context['announcement']['author']['online']['is_online'] ? $txt['pm_online'] : $txt['pm_offline']), '</a></li>';

				echo '
									</ul>
								</li>';
			}

			// Any custom fields for standard placement?
			if (!empty($context['announcement']['author']['custom_fields']))
			{
				foreach ($context['announcement']['author']['custom_fields'] as $custom)
					if (empty($custom['placement']) || empty($custom['value']))
						echo '
								<li class="custom">', $custom['title'], ': ', $custom['value'], '</li>';
			}			
		}
		// Otherwise, show the guest's email.
		elseif (in_array($context['announcement']['author']['show_email'], array('yes', 'yes_permission_override', 'no_through_forum')))
			echo '
								<li class="email"><a href="', $scripturl, '?action=emailuser;sa=email;uid=', $context['announcement']['author']['id'], '" rel="nofollow">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/email_sm.gif" alt="' . $txt['email'] . '" title="' . $txt['email'] . '" border="0" />' : $txt['email']), '</a></li>';

		// Done with the information about the poster... on to the post itself.
		echo '
							</ul></div>
							
							<div class="postarea">
							<div class="flow_hidden">
								<div class="keyinfo">
                                    <div class="messageicon">
										<img src="', $settings['images_url']. '/post/exclamation.gif" alt="" border="0" />
									</div>								
									<h5 id="subject_' . $context['announcement']['id_announcement'] . '">
										<a href="' . $scripturl. '?action=announcements;aid=' . $context['announcement']['id_announcement'] . '" rel="nofollow">'.$context['announcement']['title'].'</a>
									</h5>
									<div class="smalltext">&#171; ', $context['announcement']['time'], ' &#187;</div>
								</div>';
								
		if ($context['admin_yagam'])
		echo '
		<ul class="reset smalltext quickbuttons">
		<li class="modify_button"><a href="'.$scripturl.'?action=announcements;sa=edit;aid=' . $context['announcement']['id_announcement'] . '">', $txt['modify'], '</a></li>
		<li class="remove_button"><a href="'.$scripturl.'?action=announcements;sa=deleteverify;aid=' . $context['announcement']['id_announcement'] . ';sesc=' ,$context['session_id'], '" onclick="return confirm(\''.$txt['yagam_remove_verify'].'\')">' ,$txt['remove'], '</a></li>
		<li class="reply_button"><a href="'.$scripturl.'?action=announcements;sa=maketopic;aid=',$context['announcement']['id_announcement'],'">', $txt['make_topic'], '</a></li>
		<li class="quote_button"><a href="'.$scripturl.'?action=announcements;sa=log;aid=',$context['announcement']['id_announcement'],'">', $txt['yagam_log'], '</a></li>
		</ul>';	
		
		echo '
							</div>';
		
		// Show the post itself, finally!
		echo '
							<div class="post">
								<div class="inner">',parse_bbc($context['announcement']['content']),'</div>
							</div>
						</div>
						
						<div class="moderatorbar">';						
						
		if (!empty($context['announcement']['author']['custom_fields']))
		{
			$shown = false;
			foreach ($context['announcement']['author']['custom_fields'] as $custom)
			{
				if ($custom['placement'] != 2 || empty($custom['value']))
					continue;
				if (empty($shown))
				{
					$shown = true;
					echo '
							<div class="custom_fields_above_signature">
								<ul class="reset nolist>';
				}
				echo '
									<li>', $custom['value'], '</li>';
			}
			if ($shown)
				echo '
								</ul>
							</div>';
		}

		// Show the member's signature?		
			echo '
							<div class="signature">', $context['announcement']['author']['signature'], '</div>';

		echo '</div><span class="botslice"><span></span></span></div><br /><span class="smalltext">Created with <a href="http://www.smfpacks.com/">YAGAM</a> | <a href="http://www.smfpacks.com/">SMFPacks.com</a> &copy; 2010</span>';
					
	if ($context['announcement']['can_comment'] == '1' && $context['comment_yagam']){
            $windowclass = "windowbg";   		
	        echo'<br class="clear" /><br class="clear" />
			<h3 class="catbg"><span class="left"></span><span class="right"></span>
			('.$context['announcement']['comment_total'].') '.$txt['yagam_comments'].'</h3>';	
			
		if ($context['announcement']['comment_total'] > 0){
		
		// Show the page index... "Pages: [1]".
	    echo '
		    <a id="top"></a>
			<div class="pagesection">
				<div class="pagelinks align_left">', $txt['pages'], ': ', $context['page_index'], !empty($modSettings['topbottomEnable']) ? $context['menu_separator'] . ' &nbsp;&nbsp;<a href="#lastPost"><strong>' . $txt['go_down'] . '</strong></a>' : '', '</div>
			</div>';
			
		foreach($context['announcement_comment'] as $comment)
		{
		
		loadMemberData($comment['author']);
	    loadMemberContext($comment['author']);
		$comment['member'] = $memberContext[$comment['author']];		
			
		echo '
		<div class="', $windowclass , '">
			<span class="topslice"><span></span></span>';

		// Show information about the poster of this message.
		echo '
			<div class="poster">
				<h4>';
		// Show online and offline buttons?
		if (!empty($modSettings['onlineEnable']) && !$comment['member']['is_guest'])
			echo  $context['can_send_pm'] ? '<a href="' . $comment['member']['online']['href'] . '" title="' . $comment['member']['online']['label'] . '">' : '', '<img src="', $comment['member']['online']['image_href'], '" alt="', $comment['member']['online']['text'], '" />', $context['can_send_pm'] ? '</a>' : '', '&nbsp;';

		echo $comment['member']['link'], '</h4>
				<ul class="reset smalltext">';

		// Show the member's custom title, if they have one.
		if (isset($comment['member']['title']) && $comment['member']['title'] != '')
			echo '
					<li class="title">', $comment['member']['title'], '</li>';

		// Show the member's primary group (like 'Administrator') if they have one.
		if (isset($comment['member']['group']) && $comment['member']['group'] != '')
			echo '
					<li class="membergroup">', $comment['member']['group'], '</li>';

		// Don't show these things for guests.
		if (!$comment['member']['is_guest'])
		{
			// Show the post group if and only if they have no other group or the option is on, and they are in a post group.
			if ((empty($settings['hide_post_group']) || $comment['member']['group'] == '') && $comment['member']['post_group'] != '')
				echo '
					<li class="postgroup">', $comment['member']['post_group'], '</li>';
			echo '
					<li class="stars">', $comment['member']['group_stars'], '</li>';

			// Show avatars, images, etc.?
			if (!empty($settings['show_user_images']) && empty($options['show_no_avatars']) && !empty($comment['member']['avatar']['image']))
				echo '
					<li class="avatar" style="overflow: auto;">', $comment['member']['avatar']['image'], '</li>';

			// Show how many posts they have made.
			if (!isset($context['disabled_fields']['posts']))
				echo '
					<li class="postcount">', $txt['member_postcount'], ': ', $comment['member']['posts'], '</li>';

			// Is karma display enabled?  Total or +/-?
			if ($modSettings['karmaMode'] == '1')
				echo '
					<li class="karma">', $modSettings['karmaLabel'], ' ', $comment['member']['karma']['good'] - $comment['member']['karma']['bad'], '</li>';
			elseif ($modSettings['karmaMode'] == '2')
				echo '
					<li class="karma">', $modSettings['karmaLabel'], ' +', $comment['member']['karma']['good'], '/-', $comment['member']['karma']['bad'], '</li>';

			// Show the member's gender icon?
			if (!empty($settings['show_gender']) && $comment['member']['gender']['image'] != '' && !isset($context['disabled_fields']['gender']))
				echo '
					<li class="gender">', $txt['gender'], ': ', $comment['member']['gender']['image'], '</li>';

			// Show their personal text?
			if (!empty($settings['show_blurb']) && $comment['member']['blurb'] != '')
				echo '
					<li class="blurb">', $comment['member']['blurb'], '</li>';

			// Any custom fields to show as icons?
			if (!empty($comment['member']['custom_fields']))
			{
				$shown = false;
				foreach ($comment['member']['custom_fields'] as $custom)
				{
					if ($custom['placement'] != 1 || empty($custom['value']))
						continue;
					if (empty($shown))
					{
						$shown = true;
						echo '
					<li class="im_icons">
						<ul>';
					}
					echo '
							<li>', $custom['value'], '</li>';
				}
				if ($shown)
					echo '
						</ul>
					</li>';
			}

			// This shows the popular messaging icons.
			if ($comment['member']['has_messenger'] && $comment['can_view_profile'])
				echo '
					<li class="im_icons">
						<ul>
							', !isset($context['disabled_fields']['icq']) && !empty($comment['member']['icq']['link']) ? '<li>' . $comment['member']['icq']['link'] . '</li>' : '', '
							', !isset($context['disabled_fields']['msn']) && !empty($comment['member']['msn']['link']) ? '<li>' . $comment['member']['msn']['link'] . '</li>' : '', '
							', !isset($context['disabled_fields']['aim']) && !empty($comment['member']['aim']['link']) ? '<li>' . $comment['member']['aim']['link'] . '</li>' : '', '
							', !isset($context['disabled_fields']['yim']) && !empty($comment['member']['yim']['link']) ? '<li>' . $comment['member']['yim']['link'] . '</li>' : '', '
						</ul>
					</li>';

			// Show the profile, website, email address, and personal message buttons.
			if ($settings['show_profile_buttons'])
			{
				echo '
					<li class="profile">
						<ul>';
				// Don't show the profile button if you're not allowed to view the profile.
				if ($comment['can_view_profile'])
					echo '
							<li><a href="', $comment['member']['href'], '">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/icons/profile_sm.gif" alt="' . $txt['view_profile'] . '" title="' . $txt['view_profile'] . '" border="0" />' : $txt['view_profile']), '</a></li>';

				// Don't show an icon if they haven't specified a website.
				if ($comment['member']['website']['url'] != '' && !isset($context['disabled_fields']['website']))
					echo '
							<li><a href="', $comment['member']['website']['url'], '" title="' . $comment['member']['website']['title'] . '" target="_blank" class="new_win">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/www_sm.gif" alt="' . $comment['member']['website']['title'] . '" border="0" />' : $txt['www']), '</a></li>';

				// Don't show the email address if they want it hidden.
				if (in_array($comment['member']['show_email'], array('yes', 'yes_permission_override', 'no_through_forum')))
					echo '
							<li><a href="', $scripturl, '?action=emailuser;sa=email;uid=', $comment['member']['id'], '" rel="nofollow">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/email_sm.gif" alt="' . $txt['email'] . '" title="' . $txt['email'] . '" />' : $txt['email']), '</a></li>';

				// Since we know this person isn't a guest, you *can* message them.
				if ($context['can_send_pm'])
					echo '
							<li><a href="', $scripturl, '?action=pm;sa=send;u=', $comment['member']['id'], '" title="', $comment['member']['online']['is_online'] ? $txt['pm_online'] : $txt['pm_offline'], '">', $settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/im_' . ($comment['member']['online']['is_online'] ? 'on' : 'off') . '.gif" alt="' . ($comment['member']['online']['is_online'] ? $txt['pm_online'] : $txt['pm_offline']) . '" border="0" />' : ($comment['member']['online']['is_online'] ? $txt['pm_online'] : $txt['pm_offline']), '</a></li>';
				
				echo '
						</ul>
					</li>';
			}

			// Any custom fields for standard placement?
			if (!empty($comment['member']['custom_fields']))
			{
				foreach ($comment['member']['custom_fields'] as $custom)
					if (empty($custom['placement']) || empty($custom['value']))
						echo '
					<li class="custom">', $custom['title'], ': ', $custom['value'], '</li>';
			}

			// Are we showing the warning status?
			if (!isset($context['disabled_fields']['warning_status']) && $comment['member']['warning_status'] && ($context['user']['can_mod'] || !empty($modSettings['warning_show'])))
				echo '
					<li class="warning">', $context['can_issue_warning'] ? '<a href="' . $scripturl . '?action=profile;area=issuewarning;u=' . $comment['member']['id'] . '">' : '', '<img src="', $settings['images_url'], '/warning_', $comment['member']['warning_status'], '.gif" alt="', $txt['user_warn_' . $comment['member']['warning_status']], '" />', $context['can_issue_warning'] ? '</a>' : '', '<span class="warn_', $comment['member']['warning_status'], '">', $txt['warn_' . $comment['member']['warning_status']], '</span></li>';
		}
		// Otherwise, show the guest's email.
		elseif (in_array($comment['member']['show_email'], array('yes', 'yes_permission_override', 'no_through_forum')))
			echo '
					<li class="email"><a href="', $scripturl, '?action=emailuser;sa=email;uid=', $comment['member']['id'], '" rel="nofollow">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/email_sm.gif" alt="' . $txt['email'] . '" title="' . $txt['email'] . '" border="0" />' : $txt['email']), '</a></li>';

		// Done with the information about the poster... on to the post itself.
		echo '
				</ul>
			</div>
			<div class="postarea">
				<div class="flow_hidden">
					<div class="keyinfo">
					<div class="messageicon">
										<img src="', $settings['images_url']. '/post/xx.gif" alt="" border="0" />
									</div>
					<h5>
							'.$txt['response_prefix'].' ', $context['announcement']['title'], '
					</h5>
						<div class="smalltext">&#171; <strong>', $txt['on'], ':</strong> ', timeformat($comment['date']), ' &#187;</div>
					</div>';

		// Can they reply? Have they turned on quick reply?
		if ($context['admin_yagam'] || ($context['comment_yagam'] && $comment['author'] == $user_info['id'] && !$user_info['is_guest']))
			echo '
						<ul class="reset smalltext quickbuttons">
						   <li class="modify_button"><a href="' . $scripturl . '?action=announcements;sa=editcomment;id=' . $comment['id_comment'] . '">', $txt['modify'], '</a></li>
						   <li class="remove_button"><a href="' . $scripturl . '?action=announcements;sa=deletecomment;id=' . $comment['id_comment'] . '" onclick="return confirm(\''.$txt['yagam_remove_verify'].'\')">', $txt['remove'], '</a></li>
						</ul>';
		echo '
				</div>
				<div class="post">
				<div class="inner">
					'.parse_bbc($comment['comment_body']).'
				</div>	
				</div>';
					
		// Show " Last Edit: Time by Person " if this post was edited.
		if ($settings['show_modify'] && !empty($comment['last_modified']) && !empty($comment['modified_name']))
			echo '
							<div class="smalltext modified">
							    &#171; <em>', $txt['last_edit'], ': '.timeformat($comment['last_modified']).' ', $txt['by'], ' '.$comment['modified_name'].'</em> &#187;
							</div>';

		echo '
					<div class="smalltext reportlinks floatright">
						<img src="', $settings['images_url'], '/ip.gif" alt="" border="0" />';

		// Show the IP to this user for this post - because you can moderate?
		if ($context['can_moderate_forum'] && !empty($comment['member']['ip']))
			echo '
						<a href="', $scripturl, '?action=', !empty($comment['member']['is_guest']) ? 'trackip' : 'profile;area=tracking;sa=ip;u='. $comment['member']['id'], ';searchip=', $comment['member']['ip'], '">', $comment['member']['ip'], '</a> <a href="', $scripturl, '?action=helpadmin;help=see_admin_ip" onclick="return reqWin(this.href);" class="help">(?)</a>';
		// Or, should we show it because this is you?
		elseif ($comment['can_see_ip'])
			echo '
							<a href="', $scripturl, '?action=helpadmin;help=see_member_ip" onclick="return reqWin(this.href);" class="help">', $comment['member']['ip'], '</a>';
		// Okay, are you at least logged in?  Then we can show something about why IPs are logged...
		elseif (!$context['user']['is_guest'])
			echo '
						<a href="', $scripturl, '?action=helpadmin;help=see_member_ip" onclick="return reqWin(this.href);" class="help">', $txt['logged'], '</a>';
		// Otherwise, you see NOTHING!
		else
			echo '
							', $txt['logged'];

		echo '
						</div>';

		// Are there any custom profile fields for above the signature?
		if (!empty($comment['member']['custom_fields']))
		{
			$shown = false;
			foreach ($comment['member']['custom_fields'] as $custom)
			{
				if ($custom['placement'] != 2 || empty($custom['value']))
					continue;
				if (empty($shown))
				{
					$shown = true;
					echo '
						<div class="custom_fields_above_signature">
							<ul class="reset nolist>';
				}
				echo '
								<li>', $custom['value'], '</li>';
			}
			if ($shown)
				echo '
							</ul>
						</div>';
		}

		// Show the member's signature?
		if (!empty($comment['member']['signature']) && empty($options['show_no_signatures']) && $context['signature_enabled'])
			echo '
						<div class="signature">', $comment['member']['signature'], '</div>';

		echo '
					</div>
				<span class="botslice"><span></span></span></div>';	
                
                $windowclass = ($windowclass == 'windowbg') ? 'windowbg2' : 'windowbg';  				
		}
		// Show the page index... "Pages: [1]".
	    echo '
		    <a id="lastPost"></a>
			<div class="pagesection">
				<div class="pagelinks align_left">', $txt['pages'], ': ', $context['page_index'], !empty($modSettings['topbottomEnable']) ? $context['menu_separator'] . ' &nbsp;&nbsp;<a href="#top"><strong>' . $txt['go_up'] . '</strong></a>' : '', '</div>
			</div>';
		}
		// Maybe we have no comments
		else
		    echo'<div class="windowbg" align="center"><span class="topslice"><span></span></span>
			<div class="content">
			'.$txt['yagam_no_comments'].'
			</div>
			<span class="botslice"><span></span></span>
			</div>';	
		
		
		
	echo '
	</div><br /><form method="post" name="addcomment" id="addcomment" action="' . $scripturl . '?action=announcements;sa=commentverify;aid='.$_REQUEST['aid'].'" onsubmit="submitonce(this);">
    <div class="tborder">
	<h3 class="catbg"><span class="left"></span><span class="right"></span><b>',$txt['yagam_add_comment'], '</b></h3>
	<div class="smallpadding windowbg">
	<span class="upperframe"><span></span></span>
	<div class="roundframe">
	<dl><dd>
						<div id="bbcBox_message"></div>
						<div id="smileyBox_message"></div>
						', template_control_richedit($context['post_box_name'], 'smileyBox_message', 'bbcBox_message'), '
	</dd>';    

    // Captcha
	if ($context['visual_verification']){
		echo '
		<dd><b>', $txt['verification'], ':</b></dd>
		<dd>', template_control_verification($context['visual_verification_id'], 'all'), '</dd>';
	}
   
   echo'
                    <dd class="full center">	
                       <p id="shortcuts" class="smalltext">', $context['browser']['is_firefox'] ? $txt['shortcuts_firefox'] : $txt['shortcuts'], '</p>
                       <p align="center" id="post_confirm_buttons">						
		                          <input class="button_submit" tabindex="1" accesskey="s" type="submit" value="', $txt['yagam_add_comment'], '" name="submit" />
		                </p>
						<input type="hidden" name="id" value="'.$_REQUEST['aid'].'" />
					</dd>
					<dd class="clear"></dd>          
      </dl>
      </div><span class="lowerframe"><span></span></span></div></div>
      </form>';		
	}
	else
        echo'</div>';  	
}
?>