<?php
/**********************************************************************************
* Announcements.php                                                               *
***********************************************************************************
*                                                                                 *
* YAGAM - Yet Another Global Announcements Mod v2.7.3                             *
* Copyright (c) 2008-2010 by SMFPacks.com. All rights reserved.                   *
* Powered by www.smfpacks.com                                                     *
* Created by NIBOGO for SMFPacks.com & SimpleMachines.org                         *
*                                                                                 *                                       
**********************************************************************************/
function AnnouncementsMain()
{
	global $sourcedir, $context, $txt, $boardurl, $boarddir, $scripturl, $smcFunc, $modSettings;	
 	
	// Load the announcements language
	if (loadlanguage('Announcements') == false)
		loadLanguage('Announcements','english');
		
	// Load the Announcements Template
	loadtemplate('Announcements');

    // You aren't admin?? Please you can`t be here
	if (!allowedTo('yagam_manage') && (empty($_REQUEST['sa'])) && !isset($_REQUEST['aid']))
	   fatal_lang_error('yagam_no_permission', false);	
	
	// Load all the subactions for the YAGAM
	$subActions = array(
		'add' => 'announcements_add',
		'addverify' => 'announcements_add_verify',
		'edit' => 'announcements_edit',
		'editverify' => 'announcements_edit_verify',
		'deleteverify' => 'announcements_delete_verify',		
        'admin' => 'announcements_admin', 		
        'settings' => 'announcements_admin_settings',		
		'commentverify' => 'add_comment_verify',
		'editcomment' => 'edit_comment',
		'editcommentverify' => 'edit_comment_verify',
		'deletecomment' => 'delete_comment',
		'version' => 'announcements_version',
		'status' => 'announcements_change_status',
        'log' => 'announcements_log',
        'maketopic' => 'announcements_maketopic',
        'maketopicverify' => 'announcements_maketopic_verify',
        'massive' => 'announcements_massive_delete', 		
	);
	
	// Add the Linktree
	if ($context['current_action'] !== 'admin'){
    $context['linktree'][] = array(		
		'name' => $txt['yagam_text'],
    );
	}

	if (isset($_REQUEST['aid']) && !isset($_REQUEST['sa']))
	    redirectexit('action=announcement;aid='.$_REQUEST['aid']);
	if (isset($_GET['sa']))
		$sa = $_GET['sa'];	
		
	if (!empty($subActions[$sa]))
		$subActions[$sa]();		
}

function announcements_add()
{
	global $txt, $context, $smcFunc, $scripturl, $modSettings, $sourcedir, $settings;	
	
	// Check Permission for Admin and Announcements Manager
	if (!allowedTo('yagam_manage'))
		fatal_lang_error('yagam_no_permission', false);	
		
	$context[$context['admin_menu_name']]['tab_data']['title'] = $txt['yagam_add'];
	$context[$context['admin_menu_name']]['tab_data']['description'] = $txt['yagam_add_description'];	
		
	// Load the sub-template amd page title
	$context['sub_template']  = 'announcements_add';
	$context['page_title'] = $txt['yagam_add'];
	$context['show_spellchecking'] = !empty($modSettings['enableSpellChecking']) && function_exists('pspell_new');
	
	if ($context['show_spellchecking'])
	    $context['html_headers'] .= '<script language="JavaScript" type="text/javascript" src="' . $settings['default_theme_url'] . '/scripts/spellcheck.js"></script>';
			
	// Load all the preview stuff		
	if (!empty($_REQUEST['announcementtitle']) || !empty($_REQUEST['message'])){
	$preview_title = strtr($smcFunc['htmlspecialchars']($_REQUEST['announcementtitle']), array("\r" => '', "\n" => '', "\t" => ''));
	$preview_content = $smcFunc['htmlspecialchars']($_REQUEST['message'], ENT_QUOTES);

	$context['preview_details'] = $preview_content;
	$context['preview_details'] = parse_bbc($context['preview_details']);
	censorText($context['preview_details']);

	if ($preview_title != '')
	{
		$context['preview_title'] = $preview_title;
		censorText($context['preview_title']);
	}			
	
	$context['announcement']['title'] = $_REQUEST['title'];
	$context['content'] = $_REQUEST['message'];
	$context['preview_details'] = true;
	}
		
	// Load all the boards stuff
	require_once($sourcedir . '/Subs-Announcements.php');
	announcement_boards();

	//Load the language
    loadLanguage('Admin');
	
	// We love WYSIWYG Editor
	require_once($sourcedir . '/Subs-Editor.php');
	loadtemplate('Post');
	
	$content = empty($context['content']) ? '' : $context['content'];
	
	$editorOptions = array(
		'id' => 'message',
		'value' => $content,
		'width' => '90%',
		'form' => 'announcementcontent',
		'labels' => array(
			'post_button' =>  $txt['yagam_add']		
		),
	);	
	create_control_richedit($editorOptions);
	$context['post_box_name'] = $editorOptions['id'];	
	
	// We need the membergroups
	$dbresult = $smcFunc['db_query']('', '
        SELECT id_group, group_name
        FROM {db_prefix}membergroups
        WHERE min_posts = {int:primary_group}
        AND id_group <> {int:moderator}
        ORDER BY group_name',
        array(
          'primary_group' => -1,
          'moderator' => 3,
        )
        );
	$context['groups'] = array();
	while ($row = $smcFunc['db_fetch_assoc']($dbresult))
	{
		$context['groups'][$row['id_group']] = array(
			'id_group' => $row['id_group'],
			'group_name' => $row['group_name'],
			);
	}
	$smcFunc['db_free_result']($dbresult);
}

function announcements_add_verify()
{
	global $txt, $smcFunc, $user_info, $sourcedir, $context;
	
	// Check Permission for Admin and Announcements Manager
	if (!allowedTo('yagam_manage'))
		fatal_lang_error('yagam_no_permission', false);	
	
	// Now the WYSIWYG Message
	if (!empty($_REQUEST['message_mode']) && isset($_REQUEST['message']))
	{
		require_once($sourcedir . '/Subs-Editor.php');
		$_REQUEST['message'] = html_to_bbc($_REQUEST['message']);
		$_REQUEST['message'] = un_htmlspecialchars($_REQUEST['message']);
	}
	
	if (isset($_REQUEST['preview']))
		return announcements_add();
	
    //Please check the announcement title , content and status
	$announcementtitle = htmlspecialchars($_REQUEST['announcementtitle'], ENT_QUOTES);
	$announcementcontent = htmlspecialchars($_REQUEST['message'], ENT_QUOTES);
	$announcementenable = (isset($_REQUEST['enable'])) ? (int) $_REQUEST['enable'] : '0';
	$announcement_can_comment = (isset($_REQUEST['can_comment'])) ? (int) $_REQUEST['can_comment'] : '0';
        
    // Load all the boards stuff
	$boardsArray = array();	
	
	if (isset($_REQUEST['boards']) && ($_REQUEST['boards'] !== "")){
	foreach ($_REQUEST['boards'] as $i => $v){
         if (!is_numeric($_REQUEST['boards'][$i])) 
		 unset($_REQUEST['boards'][$i]);}		 
           $id_boards = implode(',', $_REQUEST['boards']);
	}
	
	// Errors!!
	if (empty($announcementtitle))
		fatal_lang_error('yagam_no_title',false);	

	if (empty($announcementcontent))
		fatal_lang_error('yagam_no_content',false);

    if ($_REQUEST['boards'] == "")
		fatal_error('yagam_no_boards',false);
		
	//  Load the permission for the announcement
	$permissionsArray = array();
	
	if (isset($_REQUEST['groups'])){
		foreach ($_REQUEST['groups'] as $rgroup)
			$permissionsArray[] = (int) $rgroup;
	}
	
	$final_permissions = implode(",",$permissionsArray);		
	$add_date = time();
			
	$smcFunc['db_insert']('replace',
			'{db_prefix}announcements',
			array(
				'date' => 'int', 'enable' => 'int', 'author' => 'int', 'title' => 'text', 'content' => 'text', 'permissions' => 'text', 'id_boards' => 'text', 'can_comment' => 'int',
			),
			array(
				$add_date, $announcementenable, $user_info['id'], $announcementtitle, $announcementcontent, $final_permissions, $id_boards, $announcement_can_comment
			),
			array()
	);
				
	// Please redirectme to the admin panel
	redirectexit('action=admin;area=announcements;sa=admin;sesc='.$context['session_id']);
}

function announcements_edit()
{
	global $txt, $context, $smcFunc, $sourcedir, $board_info, $selected_boards, $scripturl, $settings, $modSettings;
	
	// Check Permission for Admin and Announcements Manager
	if (!allowedTo('yagam_manage'))
		fatal_lang_error('yagam_no_permission', false);		
	
	// Get the ID, SubTemplate, Title and Language
	$announcement_id = (int) $_REQUEST['aid'];		
	$context['sub_template']  = 'announcement_edit';
	$context['page_title'] = $txt['yagam_edit'];
	loadLanguage('Admin');
	
	// We need an ID!!	
	if (empty($announcement_id))
		fatal_lang_error('yagam_no_selected', false);
	
    // The preview stuff
    if (!empty($_REQUEST['announcementtitle']) && !empty($_REQUEST['message'])){
	$preview_title = strtr($smcFunc['htmlspecialchars']($_REQUEST['announcementtitle']), array("\r" => '', "\n" => '', "\t" => ''));
	$preview_content = $smcFunc['htmlspecialchars']($_REQUEST['message'], ENT_QUOTES);

	$context['preview_details'] = $preview_content;
	$context['preview_details'] = parse_bbc($context['preview_details']);
	censorText($context['preview_details']);

	if ($preview_title != '')
	{
		$context['preview_title'] = $preview_title;
		censorText($context['preview_title']);
	}			
	
	$context['announcement']['title'] = $_REQUEST['title'];
	$context['content'] = $_REQUEST['message'];
	$context['preview_details'] = true;
    } 
	
	$context['show_spellchecking'] = !empty($modSettings['enableSpellChecking']) && function_exists('pspell_new');
	
	if ($context['show_spellchecking'])
	    $context['html_headers'] .= '<script language="JavaScript" type="text/javascript" src="' . $settings['default_theme_url'] . '/scripts/spellcheck.js"></script>';

	// Load the membergroups
	$dbresult = $smcFunc['db_query']('', '
        SELECT id_group, group_name
        FROM {db_prefix}membergroups
        WHERE min_posts = {int:primary_group}
        AND id_group <> {int:moderator}
        ORDER BY group_name',
        array(
          'primary_group' => -1,
          'moderator' => 3,
        )
        );
	$context['groups'] = array();
	while ($row = $smcFunc['db_fetch_assoc']($dbresult))
	{
		$context['groups'][$row['id_group']] = array(
			'id_group' => $row['id_group'],
			'group_name' => $row['group_name'],
			);
	}
	$smcFunc['db_free_result']($dbresult);	
	
	// Load the announcement info 
	$dbresult = $smcFunc['db_query']('', '
    SELECT 
		id_announcement, enable, title, content, permissions, id_boards, can_comment
	FROM {db_prefix}announcements
    WHERE id_announcement = {int:announcement_id}        
    LIMIT 1',
        array(
          'announcement_id' => $announcement_id,
        )
    );
	
	$row = $smcFunc['db_fetch_assoc']($dbresult);
	$context['announcement_edit_info'] = $row;
	$context['announcement_edit_info']['content'] = html_entity_decode($row['content']);	
	$smcFunc['db_free_result']($dbresult);
	
	// Load all the boards stuff	
	require_once($sourcedir . '/Subs-Announcements.php');
	announcement_boards();	
	
	$boards_id = $context['announcement_edit_info']['id_boards'];

	if (isset($context['announcement_edit_info']['id_boards'])){ 
	foreach (explode(',', $context['announcement_edit_info']['id_boards']) as $i => $v)
            $selected_boards[$v] = $v;
	}
	
	$content = empty($context['content']) ? $context['announcement_edit_info']['content'] : $context['content'];
	
	// We love the WYSIWYG
	require_once($sourcedir . '/Subs-Editor.php');
        $editorOptions = array(
		'id' => 'message',
		'value' => $content,
		'width' => '90%',
		'form' => 'edit_announcement',
		'labels' => array(
			'post_button' =>  $txt['yagam_edit']
		),
	);
	create_control_richedit($editorOptions);
	$context['post_box_name'] = $editorOptions['id'];		

    // Now the Linktree       
    $context['linktree'][] = array(
        'url' => $scripturl.'?action=announcements;aid=' . $announcement_id,
	    'name' => $context['announcement_edit_info']['title'],
	);			
    $context['linktree'][] = array(
	    'url' => $scripturl.'?action=announcements;sa=edit;aid=' . $announcement_id,
	    'name' => $txt['yagam_edit3'],
	);		
}

function announcements_edit_verify()
{
	global $txt, $smcFunc, $sourcedir, $board_info, $board, $selected_boards;
	
	// We need to print the WYSIWYG Message
	if (!empty($_REQUEST['message_mode']) && isset($_REQUEST['message']))
	{
		require_once($sourcedir . '/Subs-Editor.php');
		$_REQUEST['message'] = html_to_bbc($_REQUEST['message']);
		$_REQUEST['message'] = un_htmlspecialchars($_REQUEST['message']);
	}
	
	// Check Permission for Admin and Announcements Manager
	if (!allowedTo('yagam_manage'))
		fatal_lang_error('yagam_no_permission', false);	

	// We need an ID!!	  
	if (empty($_REQUEST['aid']))
		fatal_lang_error('yagam_no_selected', false);

        if (isset($_REQUEST['preview']))
		return announcements_edit();			
		
	// Get the announcement id , title , content , status and comments
	$announcement_id = (int) $_REQUEST['aid'];
	$announcementtitle = htmlspecialchars($_REQUEST['announcementtitle'], ENT_QUOTES);
	$announcementcontent = htmlspecialchars($_REQUEST['message'], ENT_QUOTES);
	$announcementenable = (isset($_REQUEST['enable'])) ? (int) $_REQUEST['enable'] : '0';
	$announcement_can_comment = (isset($_REQUEST['can_comment'])) ? (int) $_REQUEST['can_comment'] : '0';
	
	// We are in troubles we need a title or content
        if (empty($announcementtitle))
		fatal_lang_error('yagam_no_title',false);
	
	if (empty($announcementcontent))
		fatal_lang_error('yagam_no_cotent',false);

        if ($_REQUEST['boards'] == "")
		fatal_lang_error('yagam_no_boards');		
			
	// Load all the boards stuff
	$boardsArray = array();	
	
	foreach ($_REQUEST['boards'] as $i => $v)
         if (!is_numeric($_REQUEST['boards'][$i])) unset($_REQUEST['boards'][$i]);	
	
	$id_boards = implode(',', $_REQUEST['boards']);
		
	// Load Permissions
	$permissionsArray = array();
	
	if (isset($_REQUEST['groups'])){
		foreach ($_REQUEST['groups'] as $rgroup)
			$permissionsArray[] = (int) $rgroup;
	}
	
	$permissions = implode(",",$permissionsArray);
	
	$smcFunc['db_query']('', '
	UPDATE {db_prefix}announcements
	SET title = {text:title}, enable = {int:enable},content = {text:content}, permissions = {text:permissions}, id_boards = {text:boards}, can_comment = {int:allow_comments}
	WHERE id_announcement = {int:id_announcement} 
	LIMIT 1',
	array(
	   'id_announcement' => $announcement_id,
	   'title' => $announcementtitle,
	   'enable' => $announcementenable,
	   'content' => $announcementcontent,
	   'permissions' => $permissions,
	   'boards' => $id_boards,
	   'allow_comments' => $announcement_can_comment,
	));	
				
	// Please redirectme to the new announcement
	redirectexit('action=announcements;aid='.$_REQUEST['aid'].'');
}

function announcements_delete_verify($announcement = null)
{
	global $txt, $smcFunc, $context;
	
	if (!allowedTo('yagam_manage'))
		fatal_lang_error('yagam_no_delete', false);		
	
	// Get the id and delete the announcement
	$announcement_id = ($announcement == null) ? (int) $_REQUEST['aid'] : (int) $announcement;
	
	if (empty($announcement_id))
		fatal_lang_error('yagam_no_selected', false);
	
	$smcFunc['db_query']('', '
	DELETE FROM {db_prefix}announcements  
	WHERE id_announcement = {int:announcement_id}        
        LIMIT 1',
        array(
          'announcement_id' => $announcement_id,
        )
    );
	
	$smcFunc['db_query']('', '
	DELETE FROM {db_prefix}announcements_comments
	WHERE id_announcement = {int:announcement_id}        
        LIMIT 1',
        array(
          'announcement_id' => $announcement_id,
        )
    );
	
	$smcFunc['db_query']('', '
	DELETE FROM {db_prefix}announcements_log
	WHERE id_announcement = {int:announcement_id}        
        LIMIT 1',
        array(
          'announcement_id' => $announcement_id,
        )
    );
		
	// Please redirectme to the admin panel
	if ($announcement !== null)
	    redirectexit('action=admin;area=announcements;sa=admin;sesc='.$context['session_id']);
}

function add_comment_verify()
{
	global $context, $scripturl, $txt, $sourcedir, $modSettings, $smcFunc, $user_info, $user_profile;

	// We love WYSIWYG Editor
	if (!empty($_REQUEST['message_mode']) && isset($_REQUEST['message']))
	{
		require_once($sourcedir . '/Subs-Editor.php');
		$_REQUEST['message'] = html_to_bbc($_REQUEST['message']);
		$_REQUEST['message'] = un_htmlspecialchars($_REQUEST['message']);
	}	

	$commentbody = htmlspecialchars($_REQUEST['message'],ENT_QUOTES);	
	$announcement_id = (int) $_REQUEST['aid'];

    // Show me the errors!!
	if (!isset($announcement_id))
		fatal_lang_error('yagam_no_selected', false);
	
    if (!allowedTo('yagam_manage') && !allowedTo('yagam_comment'))
	    fatal_lang_error('yagam_no_comment', false);	
		
	// Check if the visual verification code was entered correctly.
	if (!empty($modSettings['yagam_verification']) && $context['user']['is_guest'])	{
		require_once($sourcedir . '/Subs-Editor.php');
		$verificationOptions = array(
			'id' => 'register',
		);
		$context['visual_verification'] = create_control_verification($verificationOptions, true);

		if (is_array($context['visual_verification']))
		{
			loadLanguage('Errors');
			foreach ($context['visual_verification'] as $error)
				fatal_error($txt['error_' . $error], false);
		}
	}	

	// Load all the global announcement info	 
        $dbresult = $smcFunc['db_query']('', '
    SELECT
    	a.id_announcement, ac.author, a.can_comment, a.comment_total
    FROM {db_prefix}announcements AS a
    LEFT JOIN {db_prefix}announcements_comments AS ac ON (ac.id_announcement  = a.id_announcement)
    WHERE a.id_announcement = {int:announcement_id} 
	LIMIT 1',
	array(
          'announcement_id' => $announcement_id,
        )
    );	
	
	$row = $smcFunc['db_fetch_assoc']($dbresult);
	$context['announcement'][] = $row;
	$smcFunc['db_free_result']($dbresult);
	$comment_total = $row['comment_total'];
	
	// Errors! Comments Allowed?? Empty Comment Body??
	if (empty($row['can_comment']))
		fatal_error('yagam_no_comment');	

	if (empty($commentbody))
		fatal_lang_error('yagam_no_commentbody',false);

	//  Define the comment creation time	
	$add_date = time();	

	// Add all the info to the DB
	$smcFunc['db_insert']('replace',
			'{db_prefix}announcements_comments',
			array(
				'id_announcement' => 'int', 'author' => 'int', 'comment_body' => 'text', 'date' => 'int',
			),
			array(
				$announcement_id, $user_info['id'], $commentbody, $add_date,
			),
			array('id_announcement', 'author', 'comment_body', 'date')
	);
		
	// +1 Comment
	$dbresult = $smcFunc['db_query']('', '
	UPDATE {db_prefix}announcements
    SET comment_total = comment_total + 1
	WHERE id_announcement = {int:announcement_id} 
	LIMIT 1',
	array(
          'announcement_id' => $announcement_id,
        )
    );
	
	redirectexit('action=announcements;aid=' . $announcement_id);
}

function edit_comment()
{
	global $context, $txt, $sourcedir, $modSettings, $user_info, $smcFunc, $scripturl;	

	$comment_id = (int) $_REQUEST['id'];
	
	if (!isset($comment_id))
		fatal_lang_error('yagam_no_selected_comment', false);

    $dbresult = $smcFunc['db_query']('', "
    SELECT
    	id_comment, id_announcement, author, comment_body, date, last_modified
    FROM {db_prefix}announcements_comments
    WHERE id_comment = {int:comment_id} 
	LIMIT 1",
	array(
          'comment_id' => $comment_id,
        )
    );	
	$row = $smcFunc['db_fetch_assoc']($dbresult);
	$context['announcement_comment'][] = $row;
	$smcFunc['db_free_result']($dbresult);
	
	$comment_body = $row['comment_body'];
	$id_comment = $row['id_comment'];
        $announcement_id = $row['id_announcement'];
	
	if (!allowedTo('yagam_manage') && (!allowedTo('yagam_comment') && $context['announcement_comment']['author'] !== $user_info['id']))
	    fatal_lang_error('yagam_no_permission', false);	
		 
	// Load the sub-template and page title
	$context['sub_template']  = 'edit_comment';
	$context['page_title'] = $txt['yagam_edit_comment'];

	// We love WYSIWYG
	require_once($sourcedir . '/Subs-Editor.php');

	$editorOptions = array(
		'id' => 'message',
		'value' => $comment_body,
		'width' => '90%',
		'form' => 'editcomment',
		'labels' => array(
			'post_button' => $txt['yagam_edit_comment']
		),
	);
	create_control_richedit($editorOptions);
	$context['post_box_name'] = $editorOptions['id'];

    // The Linktree       
	$context['linktree'][] = array(
		'url' => $scripturl.'?action=announcements;aid=' . $announcement_id,
		'name' => $txt['yagam_editing_comment'],
	); 	
}

function edit_comment_verify()
{
	global $context, $txt, $scripturl, $smcFunc, $sourcedir, $user_info;
	
	//  We love WYSIWYG Editor
	if (!empty($_REQUEST['message_mode']) && isset($_REQUEST['message']))
	{
		require_once($sourcedir . '/Subs-Editor.php');
		$_REQUEST['message'] = html_to_bbc($_REQUEST['message']);
		$_REQUEST['message'] = un_htmlspecialchars($_REQUEST['message']);
	}

	$comment_id = (int) $_REQUEST['id'];
	
	if (!isset($comment_id))
	    fatal_lang_error('yagam_no_selected_comment', false);

	// Load all the announcement stuff
    $dbresult = $smcFunc['db_query']('', '
    SELECT
    	id_comment, id_announcement, author
    FROM {db_prefix}announcements_comments
	WHERE id_comment = {int:comment_id} 
	LIMIT 1',
	array(
          'comment_id' => $comment_id,
        )
    );   
	$row = $smcFunc['db_fetch_assoc']($dbresult);
	$smcFunc['db_free_result']($dbresult);	
	$announcement = $row['id_announcement'];
	$id_comment = $row['id_comment'];
    $author = $row['author'];

	// You can`t be here 
	if (($author !== $user_info['id'] && !allowedTo('yagam_comment')) && !allowedTo('yagam_manage'))
	    fatal_lang_error('yagam_no_selected_comment', false);
	
	if (($author == $user_info['id'] && allowedTo('yagam_comment')) || allowedTo('yagam_manage')){		

		$commentbody = htmlspecialchars($_REQUEST['message'],ENT_QUOTES);
		
		if (empty($commentbody))
			fatal_lang_error('yagam_no_commentbody',false);

		$modified_time = time();
		$modified_name = $user_info['name'];

		// Update the comment
	    $dbresult = $smcFunc['db_query']('', "
		UPDATE {db_prefix}announcements_comments
		SET comment_body = '$commentbody', last_modified = '$modified_time', modified_name = '$modified_name'
		WHERE id_comment = {int:comment_id} 
	    LIMIT 1",
	    array(
            'comment_id' => $comment_id,
        ));
		
		// Redirect to the new announcement
		redirectexit('action=announcements;aid=' . $announcement);		
	}   
}

function delete_comment()
{
	global $context, $txt, $scripturl, $modSettings, $smcFunc, $user_info;

	$comment_id = (int) $_REQUEST['id'];
	
	if (!isset($comment_id))
		fatal_lang_error('yagam_no_selected_comment' , false);

	// Load the comment info
	$dbresult = $smcFunc['db_query']('', '
	SELECT
		id_announcement , id_comment
	FROM {db_prefix}announcements_comments
	WHERE id_comment = {int:comment_id} 
	    LIMIT 1',
	    array(
            'comment_id' => $comment_id,
    ));	
	
	$row = $smcFunc['db_fetch_assoc']($dbresult);
	$context['announcement']['comment'][] = $row;
	$smcFunc['db_free_result']($dbresult);
	$announcement = $row['id_announcement'];
	
	if (!allowedTo('yagam_manage') && (!allowedTo('yagam_comment') && $context['announcement']['comment']['author'] !== $user_info['id']))
	   fatal_lang_error('yagam_no_permission', false);

	// DELETE!!
	$smcFunc['db_query']('', '
	DELETE FROM {db_prefix}announcements_comments
    WHERE id_comment = {int:comment_id} 
	    LIMIT 1',
	    array(
            'comment_id' => $comment_id,
    )); 	

	// Update the Announcement 
	$dbresult = $smcFunc['db_query']('', '
	UPDATE {db_prefix}announcements
    SET comment_total = comment_total - 1
    WHERE id_announcement = {int:announcement_id} 
	LIMIT 1',
	array(
        'announcement_id' => $announcement,
    ));		
	
	redirectexit('action=announcements;aid=' . $announcement);
}			

function announcements_admin()
{
	global $sourcedir, $context, $txt, $boardurl, $boarddir, $scripturl, $smcFunc;	
	
	$context[$context['admin_menu_name']]['tab_data']['title'] = $txt['yagam_admin_title'];
	$context[$context['admin_menu_name']]['tab_data']['description'] = $txt['manageposts_description'];
 	
	// Load a title and subtemplate
    $context['page_title'] = $txt['yagam_admin'];
    $context['sub_template']  = 'admin_announcements';	

	// You aren't admin?? Please you can`t be here
	if (!allowedTo('yagam_manage'))
	   fatal_lang_error('yagam_no_permission', false);
	
	// Load all the Announcements info
	$dbresult = $smcFunc['db_query']('', '
	SELECT 
		COUNT(*) AS total
	FROM {db_prefix}announcements');
	$row_total = $smcFunc['db_fetch_assoc']($dbresult);
	$total = $row_total['total'];
	$smcFunc['db_free_result']($dbresult);

    // Load the Announcements
    $dbresult = $smcFunc['db_query']('', '
	SELECT 
		a.id_announcement, a.enable, a.date, a.author, m.real_name, a.permissions, a.title, a.views, a.comment_total
	FROM {db_prefix}announcements AS a 
	LEFT JOIN {db_prefix}members AS m  ON (a.author = m.id_member)
	ORDER BY id_announcement DESC'); 
    
	$context['announcements'] = array();
	while ($row = $smcFunc['db_fetch_assoc']($dbresult))
	$context['announcements'][] = $row;
	$smcFunc['db_free_result']($dbresult);
}	

function announcements_admin_settings($return_config = false)
{
	global $txt, $scripturl, $context, $sourcedir, $modSettings, $db_prefix;
	
	$context[$context['admin_menu_name']]['tab_data']['title'] = $txt['yagam_admin_settings'];
	$context[$context['admin_menu_name']]['tab_data']['description'] = $txt['yagam_settings_description'];	
	
	// You aren't admin?? Please you can`t be here
	if (!allowedTo('yagam_manage'))
	    fatal_lang_error('yagam_no_permission', false);
	
    require_once($sourcedir . '/ManageServer.php');

    // Set title and default sub-action.
    $context['sub_template'] = 'show_settings';
    $context['page_title'] = $txt['yagam_admin_settings'];		

	$config_vars = array(        
	    array('int', 'yagam_force_id', 'subtext' => $txt['yagam_admin_force2']),
	    array('check', 'yagam_admin_sticky_bar', 'subtext' => $txt['yagam_admin_sticky_bar2']),
		array('check', 'yagam_verification', 'subtext' => $txt['yagam_admin_verification']),        		
	);
		
	if (isset($_GET['save']))
	{
		saveDBSettings($config_vars);
		redirectexit('action=admin;area=announcements;sa=settings');
	}
	$context['post_url'] = $scripturl .'?action=admin;area=announcements;sa=settings;save';	
	prepareDBSettingContext($config_vars);		
}

function announcements_version()
{
	global $context, $txt, $scripturl;

	$context[$context['admin_menu_name']]['tab_data']['title'] = $txt['yagam_version'];
	$context[$context['admin_menu_name']]['tab_data']['description'] = $txt['yagam_version_description'];
	
	// You aren't admin?? Please you can`t be here
	if (!allowedTo('yagam_manage'))
	    fatal_lang_error('yagam_no_permission', false);
	
	$context['page_title'] = $txt['yagam_version'];
	$context['sub_template'] = 'announcements_version';	

}	

function announcements_log()
{
   global $context, $scripturl, $smcFunc, $txt, $sourcedir;

    // You aren't admin?? Please you can`t be here
	if (!allowedTo('yagam_manage'))
	    fatal_lang_error('yagam_no_permission', false);
   
    // Get the id
    $announcement_id = (int) $_REQUEST['aid'];
   
    // Load the info
    require_once($sourcedir . '/Subs-Announcements.php');
    announcements_logs();

    $context['sub_template'] = 'announcements_log'; 	
}

function announcements_maketopic()
{
   global $context, $scripturl, $smcFunc, $txt, $sourcedir;

    // You aren't admin?? Please you can`t be here
	if (!allowedTo('yagam_manage'))
	    fatal_lang_error('yagam_no_permission', false);
   
    // Get the id
    $announcement_id = (int) $_REQUEST['aid'];
	
	// Verify if the announcement exist
	$dbresult = $smcFunc['db_query']('', '
	SELECT 
		id_announcement, title
	FROM {db_prefix}announcements
	WHERE id_announcement = {int:announcement_id} 
	LIMIT 1',
	array(
        'announcement_id' => $announcement_id,
    ));	
	$row = $smcFunc['db_fetch_assoc']($dbresult);
	$smcFunc['db_free_result']($dbresult);	
	
	if (empty($row['id_announcement']))
		fatal_lang_error('yagam_not_exist', false);	
   
    // Load the info
    require_once($sourcedir . '/Subs-Announcements.php');
	announcement_boards();

    $context['sub_template'] = 'announcements_maketopic';
    $context['page_title'] = $txt['make_topic'];
	
	//Add the Linktree   
    $context['linktree'][] = array(		
		'name' => $txt['yagam_admin'],
		'url' => $scripturl.'?action=admin;area=announcements;sa=admin',
    );
    $context['linktree'][] = array(		
		    'name' => $row['title'],
	);		  		
	$context['linktree'][] = array(		
		'name' => $txt['make_topic']		
    );	
}

function announcements_maketopic_verify()
{
   global $context, $scripturl, $smcFunc, $txt, $sourcedir; 
	
	$board = $_REQUEST['board'];
	$locktopic = (empty($_REQUEST['locktopic'])) ? '0' : '1';
	$stickytopic = (empty($_REQUEST['stickytopic'])) ? '0' : '1';
	$comments = (empty($_REQUEST['comments'])) ? '0' : '1';
	
	if ($board == "")
		fatal_lang_error('yagam_no_board');
   
    // Get the id and load the announcement
    $announcement_id = (int) $_REQUEST['aid'];

	$dbresult = $smcFunc['db_query']('', '
	SELECT 
		id_announcement, author, title, content
	FROM {db_prefix}announcements
	WHERE id_announcement = {int:announcement_id}
	LIMIT 1',
	array(
        'announcement_id' => $announcement_id,
        ));	
	
	if ($smcFunc['db_num_rows']($dbresult) == 0)
		fatal_lang_error('yagam_not_exist', false);
	
	$row = $smcFunc['db_fetch_assoc']($dbresult);
	$smcFunc['db_free_result']($dbresult);

	// Load the title and content
	$announcement_title = $row['title'];     
	$author = $row['author'];
	$content = html_entity_decode($row['content']);
   
	// Create the post
	require_once($sourcedir . '/Subs-Post.php');

	$msgOptions = array(
		'id' => 0,
		'subject' => $announcement_title,
		'body' => $content,
		'icon' => 'xx',
		'smileys_enabled' => 1,
		'attachments' => array(),
	);
	$topicOptions = array(
		'id' => 0,
		'board' => $board,
		'poll' => null,
		'lock_mode' => $locktopic,
		'sticky_mode' => $stickytopic,
		'mark_as_read' => true,
	);
	$posterOptions = array(
		'id' => $author,
		'update_post_count' => !isset($_REQUEST['msg']),
	);
	preparsecode($msgOptions['body']);

	// Create the new Post
	createPost($msgOptions, $topicOptions, $posterOptions);
	$newtopic = $topicOptions['id'];
	
	// Let's create the replies
	if ($comments == '1'){	
	$dbrequest = $smcFunc['db_query']('', '
        SELECT comment_body, date, author
        FROM {db_prefix}announcements_comments
        WHERE id_announcement = {int:announcement}',
		array(
		   'announcement' => $announcement_id,
		));	
	while ($row = $smcFunc['db_fetch_assoc']($dbrequest))
	{
	    $title = $txt['response_prefix'] . $announcement_title;
		$msgOptions = array(
		   'id' => 0,
		   'subject' => $title,
		   'body' => $row['comment_body'],
		   'icon' => 'xx',
		   'smileys_enabled' => 1,
		   'attachments' => array(),
	    );
	    $topicOptions = array(
		   'id' => $newtopic,
		   'board' => $board,
		   'poll' => null,
		   'lock_mode' => $locktopic,
		   'sticky_mode' => $stickytopic,
		   'mark_as_read' => true,
	    );
	    $posterOptions = array(
		   'id' => $row['author'],
		   'update_post_count' => !isset($_REQUEST['msg']),
	    );
	    preparsecode($msgOptions['body']);	
	    createPost($msgOptions, $topicOptions, $posterOptions);
	}
	$smcFunc['db_free_result']($dbrequest);
	}
	
	// Delete the announcement
	$smcFunc['db_query']('', '
	DELETE FROM {db_prefix}announcements  
	WHERE id_announcement = {int:announcement} 
	LIMIT 1',
	array(
	   'announcement' => $announcement_id,
	));
	
	// Delete the comments of this announcements
	$smcFunc['db_query']('', '
	DELETE FROM {db_prefix}announcements_comments 
	WHERE id_announcement = {int:announcement}',
	array(
	   'announcement' => $announcement_id,
	));
	
	// Delete the log of this announcements
	$smcFunc['db_query']('', '
	DELETE FROM {db_prefix}announcements_log
	WHERE id_announcement = {int:announcement}',
	array(
	   'announcement' => $announcement_id,
	));

	// Redirect Me to the New Topic
    redirectexit('topic='.$newtopic);	
}

function announcements_change_status()
{
   global $context, $scripturl, $smcFunc, $txt; 

    // You aren't admin?? Please you can`t be here
	if (!allowedTo('yagam_manage'))
	    fatal_lang_error('yagam_no_permission', false);
		
	// Get the id and load the announcement
    $announcement_id = (int) $_REQUEST['aid'];
	
	$dbresult = $smcFunc['db_query']('', '
	SELECT 
		id_announcement, enable
	FROM {db_prefix}announcements
	WHERE id_announcement = {int:announcement_id}
	LIMIT 1',
	array(
        'announcement_id' => $announcement_id,
    ));	
	
	if ($smcFunc['db_num_rows']($dbresult) == 0)
		fatal_lang_error('yagam_not_exist', false);
	
	$row = $smcFunc['db_fetch_assoc']($dbresult);
	$smcFunc['db_free_result']($dbresult);

	// Disable if currently is enable
	if ($row['enable'] == '1')
	{
    $dbresult = $smcFunc['db_query']('', '
	UPDATE {db_prefix}announcements
	SET enable = 0
    WHERE id_announcement = {int:announcement_id}
	LIMIT 1',
	array(
        'announcement_id' => $announcement_id,
    ));	
	}
	//Enable if currently is enable
    else
    {
	$dbresult = $smcFunc['db_query']('', '
	UPDATE {db_prefix}announcements
	SET enable = 1
    WHERE id_announcement = {int:announcement_id}
	LIMIT 1',
	array(
        'announcement_id' => $announcement_id,
    ));
    }	

    // Redirect to YAGAM Admin Panel
	redirectexit('action=admin;area=announcements;sa=admin;sesc=' . $context['session_id']);
}

function announcements_massive_delete()
{
    global $context;
	
    foreach ($_POST['remove_announcements'] as $index => $id)
		announcements_delete_verify($id);
	
	// Redirect!
	redirectexit('action==admin;area=announcements;sa=admin;sesc='.$context['session_id']);	
}
?>
